Subject: [Pce] Routing Directorate Last Call Review for draft-ietf-pce-association-policy-13.txt

From: <[email-masked]>
Date: Mon, 7 Dec 2020 11:32:24 +0000

Hello,

I have been selected as the Routing Directorate reviewer for this draft. The Routing Directorate seeks to review all routing or routing-related drafts as they pass through IETF last call and IESG review, and sometimes on special request. The purpose of the review is to provide assistance to the Routing ADs. For more information about the Routing Directorate, please see http://trac.tools.ietf.org/area/rtg/trac/wiki/RtgDir
Although these comments are primarily for the use of the Routing ADs, it would be helpful if you could consider them along with any other IETF Last Call comments that you receive, and strive to resolve them through discussion or by updating the draft.

Document: draft-ietf-pce-association-policy-13.txt
Reviewer: Nicolai Leymann
Review Date: 12/02/2020
IETF LC End Date:
Intended Status: Proposed Standard

Summary:

  *   This document is basically ready for publication, but has nits that should be considered prior to publication.

Comments:
The draft describes a mechanism for associating policies to a group of LSPs.  This is done by via a small extension to PCEP.  The draft is in good shape and describes the extensions in detail. It's written in a clear language and there is good support for the draft. One implementation is mentioned in the document ensuring that there are real deployments available.

Major Issues:

  *   "No major issues found."
Minor Issues:

  *   "No minor issues found."
Nits:

  *   The name in the head line of each page could be more descriptive: "Internet-Draft ASSOC-POLICY October 2020"
E.g. instead of "ASSOC-POLICY" use "PCEP extension for associating Policies" or something similar.
  *   Error values for "TBD3" and "TBD4" are not defined.
  *   Number of authors should be checked (currently six authors are listed, see RFC7322).

Regards

Nic

---

From: "Chengli (Cheng Li)" <[email-masked]>
Date: Tue, 8 Dec 2020 12:32:03 +0000

Hi Nic,

Many thanks for your review. Please see my reply inline.

Thanks,
Cheng

From: [email-masked] [mailto:[email-masked]]
Sent: Monday, December 7, 2020 7:32 PM
To: [email-masked]
Cc: [email-masked]; [email-masked]; [email-masked]
Subject: Routing Directorate Last Call Review for draft-ietf-pce-association-policy-13.txt

Hello,

Summary:

Comments:

Major Issues:

[Cheng]I changed to "PCEP Extensions for Policy Association".

[Cheng] While the rest of the codepoints are early allocated by IANA, these are not. They need to be still allocated by IANA and noted in section 8.3 [ https://tools.ietf.org/html/draft-ietf-pce-association-policy-13#section-8.3 ]

[Cheng]This has been captured in the shepherd report, we made a request to allow one extra author to accommodate the various authors/affiliations who were involved in this and the earlier drafts on policy in PCEP.

The revision 14 has been posted, please check it. https://tools.ietf.org/html/draft-ietf-pce-association-policy-14

Thanks!

Regards

Nic